=== debian/changelog ===
libaudiomask (1.0-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.8.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Disabled parallel build as makefile can not handle it.
  * Added 1050-build-flags.patch to use Debian default build flags.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 09 May 2025 08:52:39 +0200

libaudiomask (1.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 15:57:21 +0200

libaudiomask (1.0-3) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #845592)
  * Properly link against mffm-fft1.  (Closes: #695606)
  * Fix up library symlinks.  (Closes: #709641)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Dec 2016 01:21:59 +0100

libaudiomask (1.0-2) unstable; urgency=low

  * Fixed build-depends (CLoses: #587433)
  * Fixed the makefile so that 'make ex' now compiles.
  * Added the example input audio.44100.txt file.

 -- mffm Matt Flax (2003) <flatmax@ieee.org>  Wed, 30 Jun 2010 06:58:50 +1000

libaudiomask (1.0-1) unstable; urgency=low

  * Initial release (Closes: #525768)
  * Adjusted the Makefile to install documentation and compile the example

 -- mffm Matt Flax (2003) <flatmax@ieee.org>  Sat, 19 Jun 2010 15:43:32 +1000
