=== debian/control ===
Source: libaudiomask
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libfftw3-dev,
               mffm-fftw-dev,
Standards-Version: 4.7.0
Section: libs
Vcs-Browser: https://salsa.debian.org/debian/libaudiomask
Vcs-Git: https://salsa.debian.org/debian/libaudiomask.git

Package: libaudiomask-dev
Section: libdevel
Architecture: any
Depends: libaudiomask1 (= ${binary:Version}),
         libfftw3-dev,
         mffm-fftw-dev,
         ${misc:Depends},
Description: Audio masking threshold estimation lib headers, docs and examples
 Evaluates the simultaneous masking threshold for audio. The masking threshold
 is a psychoacoustics property of the perception of sound. This threshold
 determines the cut-off in perception. Any Fourier signal below the threshold
 is not perceived by listeners.
 .
 Simultaneous masking is the basis of mp3 audio compression. This GPL
 implementation allows arbitrary sample rate and window sizes. It is extremely
 simple to use, rather cheap in computation complexity and gives great results.
 To alter the degree of masking (quality of the playback after compression),
 simply shift the threshold this library generates up and down.
 .
 The development files are found in the documentation directory under
 /usr/share/doc.
 It includes a good API, as well as examples. The examples include C++ and an
 octave file to view the result.

Package: libaudiomask1
Architecture: any
Depends: mffm-fftw1 | mffm-fftw1c2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Audio masking threshold estimation library
 Evaluates the simultaneous masking threshold for audio. The masking threshold
 is a psychoacoustics property of the perception of sound. This threshold
 determines the cut-off in perception. Any Fourier signal below the threshold is
 not perceived by listeners.
 .
 Simultaneous masking is the basis of mp3 audio compression. This GPL
 implementation allows arbitrary sample rate and window sizes. It is extremely
 simple to use, rather cheap in computation complexity and gives great results.
 To alter the degree of masking (quality of the playback after compression),
 simply shift the threshold this library generates up and down.
